import rangeJson from '@/utils/followup/followupUtils/range';

// 校验范围通用方法
export const checkRange = (rule, value, callback) => {
  let min,max;
  rangeJson.forEach((item,index)=>{
    if(item.field==rule.field){
      min = item.min;
      max = item.max;
    }
    if((value >= min) && (value <= max)){
      callback()
    }else{
      callback(new Error(`输入范围${min}~${max}`))
    }
  })
}
